# Imagick::setImageCompose

(PECL imagick 2.0.0)

Imagick::setImageCompose — Sets the image composite operator

### Description

Imagick::setImageCompose ( int `$compose` ) : bool

Sets the image composite operator, useful for specifying how to composite the image thumbnail when using the Imagick::montageImage() method.

### Parameters

`compose`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.